Package org.wso2.carbon.task.internal

## Class TaskManagementServiceComponent

- java.lang.Object
- - org.wso2.carbon.task.internal.TaskManagementServiceComponent

-     public class TaskManagementServiceComponent
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskManagementServiceComponent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `activate​(org.osgi.service.component.ComponentContext ctxt)` |
    `protected void` | `deactivate​(org.osgi.service.component.ComponentContext ctxt)` |
    `protected void` | `setConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)` |
    `protected void` | `setJobMetaDataProviderService​(org.wso2.carbon.task.services.JobMetaDataProviderService jobMetaDataProviderService)` |
    `protected void` | `setTaskDescriptionRepositoryService​(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)` |
    `protected void` | `setTaskManagementService​(org.apache.synapse.task.service.TaskManagementService taskManagementService)` |
    `protected void` | `unsetConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)` |
    `protected void` | `unsetJobMetaDataProviderService​(org.wso2.carbon.task.services.JobMetaDataProviderService jobMetaDataProviderService)` |
    `protected void` | `unsetTaskDescriptionRepositoryService​(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)` |
    `protected void` | `unsetTaskManagementService​(org.apache.synapse.task.service.TaskManagementService taskManagementService)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskManagementServiceComponent

          public TaskManagementServiceComponent()

  - ### Method Detail

    - #### activate

          protected void activate​(org.osgi.service.component.ComponentContext ctxt)

    - #### deactivate

          protected void deactivate​(org.osgi.service.component.ComponentContext ctxt)

    - #### setJobMetaDataProviderService

          protected void setJobMetaDataProviderService​(org.wso2.carbon.task.services.JobMetaDataProviderService jobMetaDataProviderService)

    - #### unsetJobMetaDataProviderService

          protected void unsetJobMetaDataProviderService​(org.wso2.carbon.task.services.JobMetaDataProviderService jobMetaDataProviderService)

    - #### setTaskManagementService

          protected void setTaskManagementService​(org.apache.synapse.task.service.TaskManagementService taskManagementService)

    - #### unsetTaskManagementService

          protected void unsetTaskManagementService​(org.apache.synapse.task.service.TaskManagementService taskManagementService)

    - #### setTaskDescriptionRepositoryService

          protected void setTaskDescriptionRepositoryService​(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)

    - #### unsetTaskDescriptionRepositoryService

          protected void unsetTaskDescriptionRepositoryService​(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)

    - #### setConfigurationContextService

          protected void setConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)

    - #### unsetConfigurationContextService

          protected void unsetConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)